# Record TMyMemoryStatusEx

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TMyMemoryStatusEx = record`

## Description

Record used with GetGlobalMemoryStatusEx to get the memory status.

<see href="https://learn.microsoft.com/en-us/windows/win32/api/sysinfoapi/ns-sysinfoapi-memorystatusex">See the MEMORYSTATUSEX structure.)

## Overview

### Fields

| `dwLength: DWORD;`
| `dwMemoryLoad: DWORD;`
| `ullTotalPhys: uint64;`
| `ullAvailPhys: uint64;`
| `ullTotalPageFile: uint64;`
| `ullAvailPageFile: uint64;`
| `ullTotalVirtual: uint64;`
| `ullAvailVirtual: uint64;`
| `ullAvailExtendedVirtual: uint64;`

## Description

### Fields

| `dwLength: DWORD;`
This item has no description.

| `dwMemoryLoad: DWORD;`
This item has no description.

| `ullTotalPhys: uint64;`
This item has no description.

| `ullAvailPhys: uint64;`
This item has no description.

| `ullTotalPageFile: uint64;`
This item has no description.

| `ullAvailPageFile: uint64;`
This item has no description.

| `ullTotalVirtual: uint64;`
This item has no description.

| `ullAvailVirtual: uint64;`
This item has no description.

| `ullAvailExtendedVirtual: uint64;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.